Method: advertisers.channels.patch

  • The request uses a PATCH method to update a channel and returns the updated channel upon success.

  • Path parameters include channel.channelId and a required union parameter owner which must be either advertiserId or partnerId.

  • A required updateMask query parameter is used to specify the fields to update.

  • The request and response bodies both contain an instance of a Channel resource.

  • The request requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Updates a channel. Returns the updated channel if successful.

HTTP request

PATCH https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/channels/{channel.channelId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channel.channelId

string (int64 format)

Output only. The unique ID of the channel. Assigned by the system.

Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the advertiser that owns the created channel.

End of mutually exclusive fields.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the created channel.

End of mutually exclusive fields.

Request body

The request body contains an instance of Channel.

Response body

If successful, the response body contains an instance of Channel.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.